Subject: bug#25348: `display` property faces are prioritized above overlays

From: Travis Foster <[email-masked]>
Date: Thu, 5 Jan 2017 10:10:30 -0800

> As I already mentioned, if your face for the display string doesn't
> specify a background color, the hl-line background color will be used.

Yeah, I don't think that's an option. My use case is, I'm coloring tab
characters with different colors for multiple segments within the
character. So to do that, I'm setting the tab's display property to a
number of spaces equal to the width of the tab, and then I'm coloring the
spaces separately. But, the entire point is that I'm coloring whitespace,
so it has to set the background color.

> If that's not an option, perhaps you could do that dynamically, by
> changing the face of the display string whenever the hl-line overlay
> is on the line where you have your display string?

That's a possibility. I'll have to think about that.

Thanks for the help.